Skip to main content
`Ctrl`+`K`

# DMTSCheckJacobian

Check the Jacobian of the exact solution against the residual using the Taylor Test

## Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMTSCheckJacobian(TS ts, DM dm, PetscReal t, Vec u, Vec u_t, PetscReal tol, PetscBool *isLinear, PetscReal *convRate)

## Input Parameters

- ts - the `TS` object

- dm - the `DM`

- t - the time

- u - a `DM` vector

- u_t - a `DM` vector

- tol - A tolerance for the check, or -1 to print the results instead

## Output Parameters

- isLinear - Flag indicating that the function looks linear, or `NULL`

- convRate - The rate of convergence of the linear model, or `NULL`

## See Also

TS: Scalable ODE and DAE Solvers, `DNTSCheckFromOptions()`, `DMTSCheckResidual()`, `DNSNESCheckFromOptions()`, `DMSNESCheckDiscretization()`, `DMSNESCheckResidual()`

## Level

developer

## Location

src/ts/utils/dmplexts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages